/**
 * <h1>Clase que define la interaccin de los botones en tiempo real.</h1> 
 * Implementa el constructor para la interaccin y su visibilidad. 
 * 
 * @author Matas Contreras, Francisco Frez, Damin Quiroz.
 * @version 2.0
 * @since 2018-04-30
 */

import javax.swing.*;
import java.awt.event.*;

public class MyTime {
	/**
	  * Constructor que define la interaccin de botones con el mouse.
	  * 
	  * playIcon: Botn play.			
	  * pauseIcon: Botn pause.
	  * playing: Variable booleana que define el cambio de imagen.
	  * view: Variable tipo JButton que crea el botn.		
	  */
	public MyTime() {
		playIcon = new ImageIcon("images/play-button.jpg");
		pauseIcon = new ImageIcon("images/pause.jpg");
		playing = true;
		view = new JButton(playIcon);
		view.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
				if (event.getSource() == view && playing) {
					view.setIcon(pauseIcon);
					playing = false;
				} else if (event.getSource() == view && !playing) {
					view.setIcon(playIcon);
					playing = true;
				}
			}
		});

	}
	
	/**
	  * Mtodo que implementa la creacin del botn.
	  * 
	  * @return view: Crea y muestra el botn en el JPanel.			
	  * 			
	  */
	public JButton getView() {
		return view;
	}

	private boolean playing; // object model
	private JButton view; // object view
	private ImageIcon playIcon, pauseIcon; // used by view

}